> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Connections



## OpenAPI

````yaml /openapi.json post /service/{tenant_name}/connection/connections
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/connection/connections:
    post:
      tags:
        - service - connection
      summary: Create Connections
      operationId: create_connections_service__tenant_name__connection_connections_post
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NBConnectionCreateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NBRequestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    NBConnectionCreateRequest:
      properties:
        vi_name:
          type: string
          title: Vi Name
        virtual_interface_type:
          $ref: '#/components/schemas/VirtualInterfaceType'
          default: routed
        ip_addresses:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ip Addresses
          default: []
        mtu:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mtu
        administrative_state:
          $ref: '#/components/schemas/InterfaceState'
          default: up
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        customer_ports_request:
          items:
            $ref: '#/components/schemas/NBCustomerPortRequest'
          type: array
          title: Customer Ports Request
          default: []
        azure_ports_request:
          items:
            $ref: '#/components/schemas/NBAzureRequest'
          type: array
          title: Azure Ports Request
          default: []
        aws_ports_request:
          items:
            $ref: '#/components/schemas/NBAWSRequest'
          type: array
          title: Aws Ports Request
          default: []
        gcp_ports_request:
          items:
            $ref: '#/components/schemas/NBGCPRequest'
          type: array
          title: Gcp Ports Request
          default: []
        internet:
          type: boolean
          title: Internet
        labels:
          additionalProperties: true
          type: object
          title: Labels
          default: {}
      type: object
      required:
        - vi_name
        - internet
      title: NBConnectionCreateRequest
    NBRequestResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        status:
          $ref: '#/components/schemas/ConfigurationRequestStatus'
        extra_details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Extra Details
      type: object
      required:
        - id
        - created_at
        - updated_at
        - status
      title: NBRequestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VirtualInterfaceType:
      type: string
      enum:
        - bridged
        - routed
        - loopback
      title: VirtualInterfaceType
    InterfaceState:
      type: string
      enum:
        - up
        - down
      title: InterfaceState
    NBCustomerPortRequest:
      properties:
        vlan_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vlan Id
        max_bandwidth:
          type: integer
          title: Max Bandwidth
          default: 0
        customer_port_name:
          type: string
          title: Customer Port Name
      type: object
      required:
        - customer_port_name
      title: NBCustomerPortRequest
    NBAzureRequest:
      properties:
        azure_customer_port_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Azure Customer Port Name
        max_bandwidth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Bandwidth
        service_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Service Key
        vlan_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Vlan Id
        administrative_state:
          $ref: '#/components/schemas/InterfaceState'
          default: up
      type: object
      title: NBAzureRequest
    NBAWSRequest:
      properties:
        site_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Site Name
        account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Id
        max_bandwidth:
          anyOf:
            - $ref: '#/components/schemas/AWSBandwidth'
            - type: 'null'
        aws_customer_port_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Aws Customer Port Name
      type: object
      title: NBAWSRequest
    NBGCPRequest:
      properties:
        customer_port_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Port Name
        max_bandwidth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Bandwidth
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        primary_pairing_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Pairing Key
        secondary_pairing_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Secondary Pairing Key
      type: object
      title: NBGCPRequest
    ConfigurationRequestStatus:
      type: string
      enum:
        - received
        - in_progress
        - success
        - failed
        - cancelled
      title: ConfigurationRequestStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AWSBandwidth:
      type: string
      enum:
        - '50000'
        - '100000'
        - '200000'
        - '300000'
        - '400000'
        - '500000'
        - '1000000'
        - '2000000'
        - '5000000'
        - '10000000'
        - '25000000'
      title: AWSBandwidth
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````